.preloader {
  z-index: 9999999;
}


.loader-wrapper {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: var(--primary-color);
  z-index: 9999999;
  display: none;
  align-items: center;
  justify-content: center;
}

.loading-container {
  position: relative;
  font-size: 2rem;
  font-weight: 700
}

.loading-text {
  display: flex;
  color: #fff
}

.loading-text span {
  display: inline-block;
  animation: wave-blur 2.8s ease-in-out infinite;
  transform-origin: center bottom
}

.loading-text span:nth-child(1) {
  animation-delay: 0.0s
}

.loading-text span:nth-child(2) {
  animation-delay: 0.1s
}

.loading-text span:nth-child(3) {
  animation-delay: 0.2s
}

.loading-text span:nth-child(4) {
  animation-delay: 0.3s
}

.loading-text span:nth-child(5) {
  animation-delay: 0.4s
}

.loading-text span:nth-child(6) {
  animation-delay: 0.5s
}

.loading-text span:nth-child(7) {
  animation-delay: 0.6s
}

.loading-text span:nth-child(8) {
  animation-delay: 0.7s
}

@keyframes wave-blur {

  0%,
  100% {
    filter: blur(8px);
    opacity: .3;
    transform: translateY(10px) scale(.95);
    color: #aaa;
    text-shadow: none
  }

  20% {
    filter: blur(4px);
    opacity: .5;
    transform: translateY(6px) scale(.97);
    color: #ccc
  }

  40% {
    filter: blur(2px);
    opacity: .7;
    transform: translateY(3px) scale(.99);
    color: #eee
  }

  50% {
    filter: blur(0);
    opacity: 1;
    transform: translateY(0) scale(1);
    color: #fff;
    text-shadow: 0 0 10px rgb(255 255 255 / .8), 0 0 20px rgb(79 195 247 / .6), 0 0 30px rgb(33 150 243 / .3)
  }

  60% {
    filter: blur(0);
    opacity: 1;
    transform: translateY(0) scale(1);
    color: #fff;
    text-shadow: 0 0 8px rgb(255 255 255 / .7), 0 0 16px rgb(79 195 247 / .5), 0 0 24px rgb(33 150 243 / .2)
  }

  70% {
    filter: blur(1px);
    opacity: .8;
    transform: translateY(2px) scale(.99);
    color: #eee
  }

  80% {
    filter: blur(3px);
    opacity: .6;
    transform: translateY(4px) scale(.98);
    color: #ccc
  }
}

@media (max-width:768px) {
  .loading-container {
    font-size: 2.5rem
  }
}

@media (max-width:480px) {
  .loading-container {
    font-size: 2rem
  }
}

/* Safari */
@-webkit-keyframes spin {
  0% {
    -webkit-transform: rotate(0deg);
  }

  100% {
    -webkit-transform: rotate(360deg);
  }
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

.hero .hero-section {
  margin: 0;
  overflow: hidden;
  border-radius: 0;
}

.hero .hero-search-form-section {
  position: relative;
  z-index: 10;
  bottom: 0;
  width: 50%;
  padding: 0 15px;
}

.hero-content .section-title h1,
.hero-content .section-title h1 .line,
.hero-content,
.hero-content .section-title h3,
.hero-content .section-title {
  text-align: start;
}

.search-heading {
  display: block;
  margin-bottom: 20px;
}

.hero-search-form {
  max-width: 400px;
  margin-left: auto;
}

.banner-form .row .col-12 {
  margin-bottom: 15px;
}

.about-download-btn {
  z-index: 1;
  background: var(--secondary-color);
  padding: 0;
  transform: translateX(-50%);
  min-width: auto;
}

.hero-content .hero-content-body ul li {
  color: #fff;
}

.hero-content .hero-content-body .bann-type {
  color: #fff;
  text-transform: uppercase;
  letter-spacing: 3px;
  position: relative;
  padding: 13px 31px;
  width: fit-content;
  margin: 25px 0;
  font-size: 20px;
}

.hero-content .hero-content-body .bann-type::before {
  content: " ";
  position: absolute;
  top: 2px;
  left: calc(0px / 2);
  width: 87px;
  height: calc(100% - 2 * 2px);
  border: 4px solid #cdaa6a;
  border-right-color: transparent;
}

.hero-content .hero-content-body .bann-type::after {
  content: " ";
  position: absolute;
  top: 2px;
  right: calc(0px / 2);
  width: 87px;
  height: calc(100% - 2 * 2px);
  border: 4px solid #cdaa6a;
  border-left-color: transparent;
}

.text-left {
  text-align: left;
}

.property-type-item .icon-box img {
  width: 100%;
  height: 100%;
  object-fit: contain;
  padding: 15px;
  filter: invert(1) brightness(2);
}

.property-type-item h3 {
  font-size: 16px;
  font-weight: 600;
  color: var(--dark-color);
  margin-bottom: 6px;
}

.property-type-item {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.footer.footer {
  background: var(--primary-color);
  margin: 0px 0px 0;
  padding: 20px 0 5px;
  border-radius: 0px;
}

.footer.footer p {
  font-size: 14px;
  color: #fff;
}

.post-item .post-body h3 {
  font-size: 22px;
  font-weight: 600;
  color: var(--dark-color);
}

.post-item .post-featured-image {
  border-radius: 10px;
}

.post-item .post-featured-image .post-read-more .btn-default,
.post-item .post-featured-image .post-read-more {
  opacity: 1;
}

.post-item .post-featured-image .post-read-more {
  backdrop-filter: blur(2px);
}

.site-plan-image {
  margin: auto;
  display: flex;
  justify-content: center;
}

.site-plan-image img {
  width: 100%;
  height: auto;
  max-width: 600px;
  object-fit: contain;

}

.banner-content-logo {
  height: 80px;
  margin-left: 15px;
  margin-top: -15px;
  width: auto;
  object-fit: contain;
}

#magic-cursor {
  display: none;
}

.google-location-map {
  padding: 100px 0;
  background: var(--secondary-color);
}

.bg-color {
  background: var(--secondary-color);
}

.response {
  margin: 0px;
}

.location-image .why-choose-us-image1 {
  width: auto;
}

.location-image .why-choose-us-image1 img {
  width: 100%;
  object-fit: contain;
  height: 500px;
}

.pricing-list-content {
  padding: 0px;
}

.pricing-list-content li {
  list-style: none;
}

.pricing-list-content li .contact-detail-item {
  height: 100%;
}

.pricing-list-content li .contact-detail-item h3 {
  font-size: 18px;
}

.pricing-list-content li .contact-detail-item button {
  margin-top: 20px;
}

#overview,
#highlight,
#contact-us,
#floor-plan,
#amenities,
#location-advantage,
#price-list,
#gallery {
  scroll-margin-top: 3rem;
}

.main-menu ul li {
  margin-left: 18px;
}

.checkbox-wrapper {
  display: flex;
  align-items: start;
}

.checkbox-wrapper input {
  margin: 5px 10px 0px;
  cursor: pointer;
}

.checkbox-wrapper label {
  font-size: 10px;
  line-height: 1.4;
  cursor: pointer;
}

.main-menu ul li a {
  font-size: 15px;
  font-weight: 400;
  padding: 12px 0px !important;
}

#amenities .property-type-item {
  background-color: #fff;
}

.hero .hero-section {
  margin: 0 40px;
  overflow: hidden;
  border-radius: 20px;
  background: url(../images/landing-page/hero.webp) no-repeat center center;
  background-size: cover;
  padding: 100px 0 312px;
  position: relative;
}

.policy-footer-link a {
  color: #fff;
  font-size: 14px;
  text-decoration: none;
}



.floating_btn {
  position: fixed;
  bottom: 30px;
  right: 10px;
  width: 100px;
  height: 100px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  z-index: 1000;
}

@keyframes pulsing {
  to {
    box-shadow: 0 0 0 30px rgba(232, 76, 61, 0);
  }
}

.contact_icon {
  background-color: #42db87;
  color: #fff;
  width: 60px;
  height: 60px;
  font-size: 30px;
  border-radius: 50px;
  text-align: center;
  box-shadow: 2px 2px 3px #999;
  display: flex;
  align-items: center;
  justify-content: center;
  transform: translatey(0px);
  animation: pulse 1.5s infinite;
  box-shadow: 0 0 0 0 #42db87;
  -webkit-animation: pulsing 1.25s infinite cubic-bezier(0.66, 0, 0, 1);
  -moz-animation: pulsing 1.25s infinite cubic-bezier(0.66, 0, 0, 1);
  -ms-animation: pulsing 1.25s infinite cubic-bezier(0.66, 0, 0, 1);
  animation: pulsing 1.25s infinite cubic-bezier(0.66, 0, 0, 1);
  font-weight: normal;
  font-family: sans-serif;
  text-decoration: none !important;
  transition: all 300ms ease-in-out;
  padding: 10px;
}

.floating_btn.mobile-call-btn {
  bottom: 120px;
  display: none;

}

.floating_btn.mobile-call-btn .contact_icon {
  background-color: #ed7d3a;
  animation: pulse 1.5s infinite;
  box-shadow: 0 0 0 0 #ed7d3a;
  -webkit-animation: pulsing 1.25s infinite cubic-bezier(0.66, 0, 0, 1);
  -moz-animation: pulsing 1.25s infinite cubic-bezier(0.66, 0, 0, 1);
  -ms-animation: pulsing 1.25s infinite cubic-bezier(0.66, 0, 0, 1);
  animation: pulsing 1.25s infinite cubic-bezier(0.66, 0, 0, 1);

}

@media (max-width: 1280px) {
  .about-content-body ul li {
    margin-right: 0;
  }
}

@media (max-width: 1150px) {

  .responsive-menu,
  .navbar-toggle {
    display: block;
  }

  .about-content-body ul li {
    width: 100%;
  }

  .navbar-expand-lg .navbar-collapse {
    display: none !important;
    flex-basis: auto;
  }
}

@media (min-width: 1150px) {
  .navbar-expand-lg .navbar-collapse {
    display: flex !important;
    flex-basis: auto;
  }
}

@media (max-width: 992px) {
  .hero .hero-search-form-section {
    position: relative;
    z-index: 10;
    bottom: 0;
    width: 100%;
    max-width: 450px;
    padding: 0 15px;
    margin: 40px auto 0px;
  }

  .hero-search-form {
    max-width: 400px;
    margin: auto;
  }

  .search-heading {
    display: block;
    margin-bottom: 20px;
    margin-top: 20px;
  }
}

@media (max-width: 768px) {
  .pricing-list-content li {
    margin-bottom: 15px;
  }

  .floating_btn.mobile-call-btn {
    display: flex;

  }
}

@media (max-width: 576px) {
  .hero-content .hero-content-body .bann-type {
    color: #fff;
    text-transform: uppercase;
    letter-spacing: 2px;
    position: relative;
    padding: 13px 20px;
    width: fit-content;
    font-size: 14px;
    margin: 25px 0;
  }

  .hero-content .hero-content-body ul li {
    color: #fff;
    font-size: 14px;
  }

  .hero .hero-section {
    margin: 0 10px;
  }

  .hero-content-footer {
    display: flex;
  }

  .mob-padding {
    padding: 0px 15px;
  }

  .hero-content-footer button {
    line-height: 1.2;
    padding: 10px 14px !important;
  }

  .hero .hero-section {
    padding: 80px 0px 80px;
  }

  .contact_icon {
    width: 50px;
    height: 50px;
  }
}